import CheckoutIntents from 'checkout-intents';const client = new CheckoutIntents({ apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted});const event = await client.events.retrieve('id');console.log(event.id);
import os
from checkout_intents import CheckoutIntents
client = CheckoutIntents(
api_key=os.environ.get("CHECKOUT_INTENTS_API_KEY"), # This is the default and can be omitted
)
event = client.events.retrieve(
"id",
)
print(event.id)
package com.rye.example;
import com.rye.client.CheckoutIntentsClient;
import com.rye.client.okhttp.CheckoutIntentsOkHttpClient;
import com.rye.models.events.Event;
import com.rye.models.events.EventRetrieveParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
CheckoutIntentsClient client = CheckoutIntentsOkHttpClient.fromEnv();
Event event = client.events().retrieve("id");
}
}
import CheckoutIntents from 'checkout-intents';const client = new CheckoutIntents({ apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted});const event = await client.events.retrieve('id');console.log(event.id);
import os
from checkout_intents import CheckoutIntents
client = CheckoutIntents(
api_key=os.environ.get("CHECKOUT_INTENTS_API_KEY"), # This is the default and can be omitted
)
event = client.events.retrieve(
"id",
)
print(event.id)
package com.rye.example;
import com.rye.client.CheckoutIntentsClient;
import com.rye.client.okhttp.CheckoutIntentsOkHttpClient;
import com.rye.models.events.Event;
import com.rye.models.events.EventRetrieveParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
CheckoutIntentsClient client = CheckoutIntentsOkHttpClient.fromEnv();
Event event = client.events().retrieve("id");
}
}
The event data payload. The concrete shape depends on source.type.
Refer to webhook event types
for the payload shape associated with each source.type.
Show child attributes
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Rye","colors":{"primary":"#8FA957","light":"#71F47B","dark":"#4ED558"},"logo":{"light":"https://mintcdn.com/rye-35/HxmlWhy6JbETnsaq/logo/light.png?fit=max\u0026auto=format\u0026n=HxmlWhy6JbETnsaq\u0026q=85\u0026s=182633959f1a288230f647271c1c7476","dark":"https://mintcdn.com/rye-35/HxmlWhy6JbETnsaq/logo/dark.png?fit=max\u0026auto=format\u0026n=HxmlWhy6JbETnsaq\u0026q=85\u0026s=7fac74ff711d8f0881f72abac10a06d3"},"favicon":"https://mintcdn.com/rye-35/xUdlCl6dEnnyYEIw/favicon.svg?fit=max\u0026auto=format\u0026n=xUdlCl6dEnnyYEIw\u0026q=85\u0026s=c870aa7f86a3c0c182086626c79a2713","appearance":{"default":"light"},"navbar":{"primary":{"type":"button","label":"Get Started","href":"https://console.rye.com/login"}},"footer":{"socials":{"twitter":"https://twitter.com/rye","linkedin":"https://www.linkedin.com/company/rye"}},"seo":{"metatags":{"canonical":"https://rye.com/docs"}},"integrations":{"koala":{"publicApiKey":"pk_95052208d158276836ec341f6a0080042796"}},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"rye-35","hasAudioNarration":false,"actualSubdomain":"rye-35","customDomains":["docs-test.rye.com"],"gitSource":{"type":"github","owner":"rye-com","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6a8ce6f9a36c60d45730fb3b","clientVersion":"0.0.4087","searchFilterCounts":[{"language":"default","tag":"Universal Checkout API Documentation","count":74},{"language":"default","tag":"API Reference","count":40},{"language":"default","tag":"Universal Checkout API","count":23},{"language":"default","tag":"Guides","count":14},{"language":"default","tag":"Checkout Intents","count":7},{"language":"default","tag":"Rewards SDK","count":6},{"language":"default","tag":"Billing","count":6},{"language":"default","tag":"Test Helpers","count":6},{"language":"default","tag":"API Access \u0026 Environments","count":4},{"language":"default","tag":"Quickstart","count":4}]},"assistantConfig":{"deflection":{"enabled":true,"email":"support@rye.com","showHelpButton":true}},"basePath":"/docs","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"comment-mode","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-v2/api-reference/events/retrieve-event","slug":"/api-v2/api-reference/events/retrieve-event","pageMetadata":{"title":"Retrieve event","description":"Retrieves an event by ID.","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/checkout-intents/openapi.documented.yml get /api/v1/events/{id}","href":"/api-v2/api-reference/events/retrieve-event","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Retrieves an event by ID.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Retrieve event","description":"Retrieves an event by ID.","deprecated":null,"version":null,"openapi":"https://app.stainless.com/api/spec/documented/checkout-intents/openapi.documented.yml get /api/v1/events/{id}","href":"/api-v2/api-reference/events/retrieve-event","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"operationId":"Get","responses":{"200":"54b4f4df-6564-41d8-80db-16b70fce2b03","401":"9031b50c-08d2-4b16-aba5-d6f78839e484","404":"76be7bec-fed1-4748-974e-e63b49881e34","422":"f4e53d31-7ef6-438a-9aad-a62f08d9490a","500":"8f64da8f-326b-4c6b-b3d0-dcc5b8c080e1"},"description":"Retrieves an event by ID.","summary":"Retrieve event","tags":["Events"],"security":["74c147b3-ad75-41e8-b8c5-9bb3472f1d2e"],"parameters":["0e64ac89-208d-4c8c-9e0d-054c58c49378"],"x-codeSamples":[{"lang":"JavaScript","source":"import CheckoutIntents from 'checkout-intents';\n\nconst client = new CheckoutIntents({\n apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted\n});\n\nconst event = await client.events.retrieve('id');\n\nconsole.log(event.id);"},{"lang":"Python","source":"import os\nfrom checkout_intents import CheckoutIntents\n\nclient = CheckoutIntents(\n api_key=os.environ.get(\"CHECKOUT_INTENTS_API_KEY\"), # This is the default and can be omitted\n)\nevent = client.events.retrieve(\n \"id\",\n)\nprint(event.id)"},{"lang":"Java","source":"package com.rye.example;\n\nimport com.rye.client.CheckoutIntentsClient;\nimport com.rye.client.okhttp.CheckoutIntentsOkHttpClient;\nimport com.rye.models.events.Event;\nimport com.rye.models.events.EventRetrieveParams;\n\npublic final class Main {\n private Main() {}\n\n public static void main(String[] args) {\n CheckoutIntentsClient client = CheckoutIntentsOkHttpClient.fromEnv();\n\n Event event = client.events().retrieve(\"id\");\n }\n}"},{"lang":"cURL","source":"curl https://staging.api.rye.com/api/v1/events/$ID \\\n -H \"Authorization: Bearer $CHECKOUT_INTENTS_API_KEY\""}],"method":"get","type":"path","servers":["acb102c5-75a3-45d6-b231-c0798433221a"],"path":"/api/v1/events/{id}","baseUrlOptions":["https://staging.api.rye.com"],"title":"Retrieve event","codeSamples":[{"lang":"JavaScript","source":"import CheckoutIntents from 'checkout-intents';\n\nconst client = new CheckoutIntents({\n apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted\n});\n\nconst event = await client.events.retrieve('id');\n\nconsole.log(event.id);"},{"lang":"Python","source":"import os\nfrom checkout_intents import CheckoutIntents\n\nclient = CheckoutIntents(\n api_key=os.environ.get(\"CHECKOUT_INTENTS_API_KEY\"), # This is the default and can be omitted\n)\nevent = client.events.retrieve(\n \"id\",\n)\nprint(event.id)"},{"lang":"Java","source":"package com.rye.example;\n\nimport com.rye.client.CheckoutIntentsClient;\nimport com.rye.client.okhttp.CheckoutIntentsOkHttpClient;\nimport com.rye.models.events.Event;\nimport com.rye.models.events.EventRetrieveParams;\n\npublic final class Main {\n private Main() {}\n\n public static void main(String[] args) {\n CheckoutIntentsClient client = CheckoutIntentsOkHttpClient.fromEnv();\n\n Event event = client.events().retrieve(\"id\");\n }\n}"},{"lang":"cURL","source":"curl https://staging.api.rye.com/api/v1/events/$ID \\\n -H \"Authorization: Bearer $CHECKOUT_INTENTS_API_KEY\""}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"0e64ac89-208d-4c8c-9e0d-054c58c49378":{"in":"path","name":"id","required":true,"schema":{"type":"string","isRequired":true,"uniqueKey":"","typeLabel":"string"}}},"responses":{"54b4f4df-6564-41d8-80db-16b70fce2b03":{"description":"The event","content":{"application/json":{"schema":{"properties":{"id":{"type":"string","description":"Unique identifier for the event. This can be used as an idempotency key\nto avoid double-processing of the same underlying event.","example":"evt_1234567890","isRequired":true,"uniqueKey":"id","typeLabel":"string"},"object":{"type":"string","enum":["event"],"nullable":false,"isRequired":true,"uniqueKey":"object","typeLabel":"enum\u003cstring>"},"type":{"oneOf":[{"type":"string","description":"Description of the event.\n\nRefer to [types of events](https://docs.rye.com/api-v2/webhooks/types) for a list of possible values.","enum":["checkout_intent.offer_retrieved","checkout_intent.offer_failed","checkout_intent.completed","checkout_intent.order_failed"],"example":"checkout_intent.offer_retrieved","isRequired":true,"uniqueKey":"type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"string","description":"Description of the event.\n\nRefer to [types of events](https://docs.rye.com/api-v2/webhooks/types) for a list of possible values.","enum":["shipment.created","shipment.updated"],"example":"checkout_intent.offer_retrieved","isRequired":true,"uniqueKey":"type.oneOf.1","typeLabel":"enum\u003cstring>"},{"type":"string","description":"Description of the event.\n\nRefer to [types of events](https://docs.rye.com/api-v2/webhooks/types) for a list of possible values.","enum":["product.updated","product.removed"],"example":"checkout_intent.offer_retrieved","isRequired":true,"uniqueKey":"type.oneOf.2","typeLabel":"enum\u003cstring>"},{"type":"string","description":"Description of the event.\n\nRefer to [types of events](https://docs.rye.com/api-v2/webhooks/types) for a list of possible values.","enum":["webhook_endpoint.verification_challenge"],"example":"checkout_intent.offer_retrieved","isRequired":true,"uniqueKey":"type.oneOf.3","typeLabel":"enum\u003cstring>"}],"isRequired":true,"uniqueKey":"type","typeLabel":"enum\u003cstring>"},"createdAt":{"type":"string","description":"Timestamp of when the event was created.","example":"2026-03-25T00:00:00Z","isRequired":true,"uniqueKey":"createdAt","typeLabel":"string"},"source":{"description":"A reference to the object which triggered the event.\n\nYou should use the API to fetch the full object details.","properties":{"id":{"type":"string","description":"ID of the object which triggered the event.","example":"ci_1234567890","isRequired":true,"uniqueKey":"source.id","typeLabel":"string"},"type":{"type":"string","enum":["checkout_intent","shipment","product","webhook_endpoint"],"description":"Type of the object which triggered the event.","example":"checkout_intent","isRequired":true,"uniqueKey":"source.type","typeLabel":"enum\u003cstring>"}},"required":["id","type"],"type":"object","additionalProperties":false,"isRequired":true,"uniqueKey":"source","typeLabel":"object"},"data":{"properties":{},"additionalProperties":{"oneOf":[{}],"uniqueKey":"data.additionalProperties","typeLabel":"any"},"type":"object","description":"The event data payload. The concrete shape depends on `source.type`.\n\nRefer to [webhook event types](https://docs.rye.com/api-v2/webhooks/types)\nfor the payload shape associated with each `source.type`.","uniqueKey":"data","typeLabel":"object"}},"required":["id","object","type","createdAt","source"],"type":"object","additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":"evt_1234567890","object":"event","type":"checkout_intent.offer_retrieved","createdAt":"2026-03-25T00:00:00Z","source":{"id":"ci_1234567890","type":"checkout_intent"},"data":{}}}},"exampleType":"generated"}},"exampleType":"generated"},"9031b50c-08d2-4b16-aba5-d6f78839e484":{"description":"Authentication Failed","content":{"application/json":{"schema":{"properties":{"name":{"type":"string","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"stack":{"type":"string","uniqueKey":"stack","typeLabel":"string"}},"required":["name","message"],"type":"object","additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"name":"\u003cstring>","message":"\u003cstring>","stack":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"76be7bec-fed1-4748-974e-e63b49881e34":{"description":"Not Found","content":{"application/json":{"schema":{"properties":{"name":{"type":"string","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"stack":{"type":"string","uniqueKey":"stack","typeLabel":"string"}},"required":["name","message"],"type":"object","additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"name":"\u003cstring>","message":"\u003cstring>","stack":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"f4e53d31-7ef6-438a-9aad-a62f08d9490a":{"description":"Validation Error","content":{"application/json":{"schema":{"properties":{"name":{"type":"string","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"status":{"type":"number","format":"double","isRequired":true,"uniqueKey":"status","typeLabel":"number\u003cdouble>"},"fields":{"properties":{},"type":"object","additionalProperties":{"properties":{"message":{"type":"string","isRequired":true,"uniqueKey":"fields.additionalProperties.message","typeLabel":"string"},"value":{"oneOf":[{}],"uniqueKey":"fields.additionalProperties.value","typeLabel":"any"}},"required":["message"],"type":"object","uniqueKey":"fields.additionalProperties","typeLabel":"object"},"isRequired":true,"uniqueKey":"fields","typeLabel":"object"},"stack":{"type":"string","uniqueKey":"stack","typeLabel":"string"}},"required":["name","message","status","fields"],"type":"object","additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"name":"\u003cstring>","message":"\u003cstring>","status":123,"fields":{},"stack":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"8f64da8f-326b-4c6b-b3d0-dcc5b8c080e1":{"description":"Internal Server Error","content":{"application/json":{"schema":{"properties":{"name":{"type":"string","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"stack":{"type":"string","uniqueKey":"stack","typeLabel":"string"}},"required":["name","message"],"type":"object","additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"name":"\u003cstring>","message":"\u003cstring>","stack":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"74c147b3-ad75-41e8-b8c5-9bb3472f1d2e":{"bearerAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Rye API key","scopes":["events:read"]}}},"servers":{"acb102c5-75a3-45d6-b231-c0798433221a":{"url":"https://staging.api.rye.com"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"Authorization","description":"Rye API key","scopes":["events:read"]},"schema":{"title":"Authorization","type":"string","description":"Rye API key","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"openapi.documented.yml"},"subdomain":"rye-35","siteName":"Rye","title":"Retrieve event - Rye","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-08-20T17:32:26.567Z","originalFileLocation":"api-v2/api-reference/events/retrieve-event.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Retrieves an event by ID.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Rye\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/rye-35/lTMw_Vp29smCXrIS/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/docs/mintlify-assets/_mintlify/favicons/rye-35/lTMw_Vp29smCXrIS/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/rye-35/lTMw_Vp29smCXrIS/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/rye-35/lTMw_Vp29smCXrIS/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/rye-35/lTMw_Vp29smCXrIS/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/rye-35/lTMw_Vp29smCXrIS/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/rye-35/lTMw_Vp29smCXrIS/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/rye-35/lTMw_Vp29smCXrIS/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/rye-35/lTMw_Vp29smCXrIS/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Retrieve event - Rye\">\u003cmeta data-mint-head property=\"og:description\" content=\"Retrieves an event by ID.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Rye\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://rye.com/docs/api-v2/api-reference/events/retrieve-event\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://rye-35.mintlify.site/docs/_mintlify/api/og/v2?division=Events\u0026amp;title=Retrieve+event\u0026amp;description=Retrieves+an+event+by+ID.\u0026amp;theme=0da4786005ceb4b92b0a6966\u0026amp;signature=f947ad51d3122dc9d33c4ed7aa517b826152e5bd3fc275d974958d9983c7cc14\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Retrieve event - Rye\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Retrieves an event by ID.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://rye-35.mintlify.site/docs/_mintlify/api/og/v2?division=Events\u0026amp;title=Retrieve+event\u0026amp;description=Retrieves+an+event+by+ID.\u0026amp;theme=0da4786005ceb4b92b0a6966\u0026amp;signature=f947ad51d3122dc9d33c4ed7aa517b826152e5bd3fc275d974958d9983c7cc14\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/docs/mintlify-assets/_mintlify/favicons/rye-35/lTMw_Vp29smCXrIS/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Rye\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#8FA957\">\u003clink data-mint-head rel=\"canonical\" href=\"https://rye.com/docs/api-v2/api-reference/events/retrieve-event\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/docs/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/docs/api-v2/api-reference/events/retrieve-event.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://rye.com/#organization\",\"name\":\"Rye\",\"url\":\"https://rye.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/rye-35/HxmlWhy6JbETnsaq/logo/light.png?fit=max\u0026auto=format\u0026n=HxmlWhy6JbETnsaq\u0026q=85\u0026s=182633959f1a288230f647271c1c7476\"}},{\"@type\":\"WebSite\",\"@id\":\"https://rye.com/docs#website\",\"name\":\"Rye\",\"url\":\"https://rye.com/docs\",\"publisher\":{\"@id\":\"https://rye.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://rye.com/docs/api-v2/api-reference/events/retrieve-event#webpage\",\"url\":\"https://rye.com/docs/api-v2/api-reference/events/retrieve-event\",\"name\":\"Retrieve event\",\"description\":\"Retrieves an event by ID.\",\"dateModified\":\"2026-08-20T17:32:26.567Z\",\"isPartOf\":{\"@id\":\"https://rye.com/docs#website\"},\"breadcrumb\":{\"@id\":\"https://rye.com/docs/api-v2/api-reference/events/retrieve-event#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://rye.com/docs/api-v2/api-reference/events/retrieve-event#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API Reference\",\"item\":\"https://rye.com/docs/api-v2/api-reference/billing/get-drawdown-balance\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Events\",\"item\":\"https://rye.com/docs/api-v2/api-reference/events/list-events\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Retrieve event\",\"item\":\"https://rye.com/docs/api-v2/api-reference/events/retrieve-event\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://rye.com/docs/api-v2/api-reference/events/retrieve-event#apireference\",\"headline\":\"Retrieve event\",\"name\":\"Retrieve event\",\"description\":\"Retrieves an event by ID.\",\"url\":\"https://rye.com/docs/api-v2/api-reference/events/retrieve-event\",\"mainEntityOfPage\":{\"@id\":\"https://rye.com/docs/api-v2/api-reference/events/retrieve-event#webpage\"},\"dateModified\":\"2026-08-20T17:32:26.567Z\",\"publisher\":{\"@id\":\"https://rye.com/#organization\"},\"isPartOf\":{\"@id\":\"https://rye.com/docs#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Rye\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Rye","nav":{"global":null,"tabs":[{"tab":"Universal Checkout API Documentation","groups":[{"group":"Universal Checkout API","pages":[{"title":"Rye API: Enable Your Users to Buy Any Product","sidebarTitle":"Introduction","href":"/api-v2/introduction"},{"group":"Quickstart","pages":[{"title":"Quickstart: Send an Order to Any Merchant","sidebarTitle":"Send an Order to Any Merchant","href":"/api-v2/example-flows/simple-checkout"},{"title":"Single Step Checkout","href":"/api-v2/example-flows/single-step-checkout"},{"title":"Build an AI chat storefront with Rye and Stripe in Next.js","sidebarTitle":"Chat Storefront","href":"/api-v2/example-flows/chat-storefront"},{"title":"Build an Ecommerce App with Lovable","sidebarTitle":"Lovable","href":"/api-v2/lovable-rye-tutorial"}]},{"group":"API Access \u0026 Environments","pages":[{"title":"Account Registration","sidebarTitle":"Account Registration","href":"/api-v2/account-registration"},{"title":"Authorization","href":"/api-v2/authorization"},{"title":"Environments","href":"/api-v2/environments"},{"title":"Rate Limits","href":"/api-v2/rate-limits"}]},{"group":"Guides","pages":[{"title":"API Comparison: Universal Checkout vs Sync","sidebarTitle":"API Comparison","href":"/api-v2/api-comparison"},{"title":"API Limitations","sidebarTitle":"API Limitations","href":"/api-v2/developer-notes"},{"title":"Submit Orders to Best Buy","sidebarTitle":"Best Buy","href":"/api-v2/best-buy"},{"title":"Checkout Intent Lifecycle","sidebarTitle":"Checkout Intent Lifecycle","href":"/api-v2/checkout-intent-lifecycle"},{"title":"Returns","sidebarTitle":"Returns","href":"/api-v2/returns"},{"title":"Go Live with Rye: Production Checklist","sidebarTitle":"Go Live","href":"/api-v2/go-live"},{"title":"Handling API Errors","sidebarTitle":"Handling API Errors","href":"/api-v2/errors"},{"title":"Promo Codes","href":"/api-v2/promo-codes"},{"title":"RyeBot Allowlisting","sidebarTitle":"RyeBot","href":"/api-v2/ryebot"},{"group":"Payment Providers","pages":[{"title":"Payment Providers","sidebarTitle":"Overview","href":"/api-v2/payment-providers"},{"title":"Basis Theory Elements","sidebarTitle":"Basis Theory","href":"/api-v2/payment-providers/basis-theory"},{"title":"Stripe","sidebarTitle":"Stripe","href":"/api-v2/payment-providers/stripe"},{"title":"Drawdown","sidebarTitle":"Drawdown","href":"/api-v2/payment-providers/drawdown"}]},{"title":"Variants","href":"/api-v2/variants"}]}]},{"group":"Tools","pages":[{"title":"Build with Rye Using AI","sidebarTitle":"Coding Agents","href":"/api-v2/llm-quickstart"},{"title":"SDKs","sidebarTitle":"SDKs","href":"/api-v2/sdk"},{"title":"Postman Collection","sidebarTitle":"Postman Collection","url":"https://www.postman.com/rye-team/rye/collection/cwbmsqg/universal-checkout-api","href":"/api-v2/postman"}]},{"group":"Testing","pages":[{"title":"Create a Test Store","sidebarTitle":"Create a Test Store","href":"/api-v2/testing/with-shopify"},{"title":"Test Products","sidebarTitle":"Test Products","href":"/api-v2/testing/test-products"}]},{"group":"Webhooks","pages":[{"title":"Webhooks","sidebarTitle":"Webhooks","href":"/api-v2/webhooks"},{"title":"Types of events","href":"/api-v2/webhooks/types"}]},{"group":"API Reference","pages":[{"group":"Billing","pages":[{"title":"Get drawdown balance","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/billing/balance","href":"/api-v2/api-reference/billing/get-drawdown-balance"},{"title":"Get billing info","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/billing","href":"/api-v2/api-reference/billing/get-billing-info"},{"title":"Setup drawdown billing","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/billing/drawdown","href":"/api-v2/api-reference/billing/setup-drawdown-billing"},{"title":"Create on-demand top-up invoice","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/billing/drawdown/topup","href":"/api-v2/api-reference/billing/create-on-demand-top-up-invoice"},{"title":"Cancel top-up invoice","deprecated":null,"version":null,"openapi":"/openapi.documented.yml delete /api/v1/billing/drawdown/topup/{invoiceId}","href":"/api-v2/api-reference/billing/cancel-top-up-invoice"},{"title":"List drawdown transactions","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/billing/transactions","href":"/api-v2/api-reference/billing/list-drawdown-transactions"}]},{"group":"Brands","pages":[{"title":"Retrieve brand","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/brands/domain/{domain}","href":"/api-v2/api-reference/brands/retrieve-brand"}]},{"group":"Checkout Intents","pages":[{"title":"List checkout intents","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/checkout-intents","href":"/api-v2/api-reference/checkout-intents/list-checkout-intents"},{"title":"Create checkout intent","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/checkout-intents","href":"/api-v2/api-reference/checkout-intents/create-checkout-intent"},{"title":"Retrieve checkout intent","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/checkout-intents/{id}","href":"/api-v2/api-reference/checkout-intents/retrieve-checkout-intent"},{"title":"Retrieve order","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/checkout-intents/{id}/order","href":"/api-v2/api-reference/checkout-intents/retrieve-order"},{"title":"Confirm checkout intent","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/checkout-intents/{id}/confirm","href":"/api-v2/api-reference/checkout-intents/confirm-checkout-intent"},{"title":"List shipments for checkout intent","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/checkout-intents/{id}/shipments","href":"/api-v2/api-reference/checkout-intents/list-shipments-for-checkout-intent"},{"title":"Purchase product","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/checkout-intents/purchase","href":"/api-v2/api-reference/checkout-intents/purchase-product"}]},{"group":"Betas","pages":[{"title":"Create checkout session","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/betas/checkout-sessions","href":"/api-v2/api-reference/betas/create-checkout-session"}]},{"group":"Commissions","pages":[{"title":"Retrieve commission","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/commissions/{id}","href":"/api-v2/api-reference/commissions/retrieve-commission"},{"title":"List commissions","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/commissions","href":"/api-v2/api-reference/commissions/list-commissions"}]},{"group":"Events","pages":[{"title":"List events","description":"Retrieve a paginated list of events.","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/events","href":"/api-v2/api-reference/events/list-events"},{"title":"Retrieve event","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/events/{id}","href":"/api-v2/api-reference/events/retrieve-event"},{"title":"Trigger event","description":"Trigger a webhook event for a product on demand, in the shape your\nregistered destinations would normally receive. Use during integration\ntesting to exercise your handlers without waiting for an upstream update.\n\nThe event is targeted at the calling developer only. Pass an\n`Idempotency-Key` header so retried calls produce the same event ID and\nthe delivery layer dedups.","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/events/trigger","href":"/api-v2/api-reference/events/trigger-event"}]},{"group":"Merchant Connectors","pages":[{"title":"Create merchant connector installation link","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/merchant-connectors/{connector}/installation-link","href":"/api-v2/api-reference/merchant-connectors/create-merchant-connector-installation-link"}]},{"group":"Orders","pages":[{"title":"List orders","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/orders","href":"/api-v2/api-reference/orders/list-orders"},{"title":"Get order","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/orders/{id}","href":"/api-v2/api-reference/orders/get-order"},{"title":"Update order buyer","deprecated":null,"version":null,"openapi":"/openapi.documented.yml put /api/v1/orders/{id}/buyer","href":"/api-v2/api-reference/orders/update-order-buyer"},{"title":"Cancel order","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/orders/{id}/cancel","href":"/api-v2/api-reference/orders/cancel-order"}]},{"group":"Payment Gateways","pages":[{"title":"Create payment gateway session","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/payment-gateways/{gateway}/session","href":"/api-v2/api-reference/payment-gateways/create-payment-gateway-session"}]},{"group":"Products","pages":[{"title":"Lookup product","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/products/lookup","href":"/api-v2/api-reference/products/lookup-product"},{"title":"List product subscriptions","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/products/subscriptions","href":"/api-v2/api-reference/products/list-product-subscriptions"},{"title":"Subscribe to product events","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/products/subscribe","href":"/api-v2/api-reference/products/subscribe-to-product-events"},{"title":"Unsubscribe from product events","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/products/unsubscribe","href":"/api-v2/api-reference/products/unsubscribe-from-product-events"}]},{"group":"Returns","pages":[{"title":"Create return","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/returns","href":"/api-v2/api-reference/returns/create-return"},{"title":"Get return","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/returns/{returnId}","href":"/api-v2/api-reference/returns/get-return"}]},{"group":"Shipments","pages":[{"title":"List shipments","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/shipments","href":"/api-v2/api-reference/shipments/list-shipments"},{"title":"Retrieve shipment by id","deprecated":null,"version":null,"openapi":"/openapi.documented.yml get /api/v1/shipments/{id}","href":"/api-v2/api-reference/shipments/retrieve-shipment-by-id"}]},{"group":"Test Helpers","pages":[{"title":"Advance simulated shipment","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/test-helpers/checkout-intents/{checkoutIntentId}/shipments/advance","href":"/api-v2/api-reference/test-helpers/advance-simulated-shipment"},{"title":"Create simulated return","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/test-helpers/returns","href":"/api-v2/api-reference/test-helpers/create-simulated-return"},{"title":"Approve simulated return","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/test-helpers/returns/{returnId}/approve","href":"/api-v2/api-reference/test-helpers/approve-simulated-return"},{"title":"Deny simulated return","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/test-helpers/returns/{returnId}/deny","href":"/api-v2/api-reference/test-helpers/deny-simulated-return"},{"title":"Refund simulated return","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/test-helpers/returns/{returnId}/refund","href":"/api-v2/api-reference/test-helpers/refund-simulated-return"},{"title":"Fail simulated return","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/test-helpers/returns/{returnId}/fail","href":"/api-v2/api-reference/test-helpers/fail-simulated-return"}]}]},{"group":"Help","pages":[{"title":"Security","href":"/api-v2/security"},{"title":"Support","href":"/api-v2/support"},{"title":"Migrate from V1","href":"/api-v2/migrate-from-v1"},{"title":"Legacy Documentation","url":"https://docs-v1.rye.com","href":"/sync-api-docs"}]}]},{"tab":"Rewards SDK","pages":[{"title":"Rewards SDK","href":"/rewards/introduction"}]},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/api-v2/changelog"}]},{"tab":"Rye Status","href":"https://ryestatus.com"}]},"basePath":"","title":"Retrieve event - Rye","buildId":"dpl_BSPUBxEoKhhK7HzXVDPxdPvWx4xc","deploymentId":"dpl_BSPUBxEoKhhK7HzXVDPxdPvWx4xc","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-Do6EtGSl.js","utils-id4tQ6My.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-Byrixac4.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-nakYa3Zl.js","snippetPresets-Bq-pUS7h.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-CujTC_9K.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-FneVUsVu.js","shallow-DY9WpUCz.js","getApiPlaygroundDisplay-Bz8WpPfA.js","CodeSnippet-DgCuJg4G.js","CodeSnippets-Dub9c4T0.js","Page-CePXnjd1.js","getPastedJson-xdI8y2XB.js","icon--yVw5vkr.js","MethodPill-C47t7MdS.js","DuplicateIcon-BzwJ2LeC.js","createIcon-BzggGy84.js","DynamicMarkdown-AlxJK8VR.js","SectionHeading-CMlwFxdK.js","axios-vUo_bRtp.js","Markdown-BNgNrPsi.js","clsx-apD-Q0Oo.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-qmLwQyWY.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-Dc4qTkWx.js"]}